{
    "name": "steamwar-website",
    "type": "module",
    "version": "0.0.1",
    "scripts": {
        "dev": "astro dev",
        "start": "astro dev",
        "build": "astro build",
        "preview": "astro preview",
        "astro": "astro",
        "i18n:extract": "astro-i18n extract",
        "i18n:generate:pages": "astro-i18n generate:pages --purge",
        "i18n:generate:types": "astro-i18n generate:types",
        "i18n:sync": "pnpm run i18n:generate:pages && pnpm run i18n:generate:types",
        "clean:dist": "rm -rf dist",
        "clean:node_modules": "rm -rf node_modules",
        "ci": "pnpm install && pnpm run i18n:sync && pnpm run build"
    },
    "devDependencies": {
        "@astrojs/svelte": "^7.1.0",
        "@astrojs/tailwind": "^5.1.5",
        "@astropub/icons": "^0.2.0",
        "@internationalized/date": "^3.8.1",
        "@lucide/svelte": "^0.488.0",
        "@types/color": "^4.2.0",
        "@types/js-yaml": "^4.0.9",
        "@types/node": "^22.15.23",
        "@types/three": "^0.170.0",
        "@typescript-eslint/eslint-plugin": "^8.33.0",
        "@typescript-eslint/parser": "^8.33.0",
        "autoprefixer": "^10.4.21",
        "bits-ui": "1.3.4",
        "clsx": "^2.1.1",
        "cmdk-sv": "^0.0.18",
        "cssnano": "^7.0.7",
        "embla-carousel-svelte": "^8.6.0",
        "esbuild": "^0.24.2",
        "eslint": "^9.27.0",
        "eslint-plugin-astro": "^1.3.1",
        "eslint-plugin-jsx-a11y": "^6.10.2",
        "eslint-plugin-svelte": "^2.46.1",
        "formsnap": "1.0.1",
        "lucide-svelte": "^0.476.0",
        "mode-watcher": "^0.5.1",
        "paneforge": "^0.0.6",
        "postcss-nesting": "^13.0.1",
        "sass": "^1.89.0",
        "svelte": "^5.33.4",
        "svelte-sonner": "^0.3.28",
        "tailwind-merge": "^2.6.0",
        "tailwind-variants": "^0.3.1",
        "tailwindcss": "^3.4.17",
        "three": "^0.170.0",
        "typescript": "^5.8.3",
        "vaul-svelte": "^0.3.2",
        "zod": "^3.25.31"
    },
    "dependencies": {
        "@astrojs/mdx": "^4.3.0",
        "@astrojs/sitemap": "^3.4.0",
        "@astrojs/starlight": "^0.34.4",
        "@astrojs/starlight-tailwind": "^4.0.1",
        "@codemirror/commands": "^6.8.1",
        "@codemirror/lang-json": "^6.0.1",
        "@codemirror/view": "^6.36.8",
        "@ddietr/codemirror-themes": "^1.5.1",
        "@tanstack/table-core": "^8.21.3",
        "astro": "5.7.14",
        "astro-i18n": "^2.2.4",
        "astro-robots-txt": "^1.0.0",
        "astro-seo": "^0.8.4",
        "chart.js": "^4.4.9",
        "chartjs-adapter-dayjs-4": "^1.0.4",
        "chartjs-adapter-moment": "^1.0.1",
        "codemirror": "^6.0.1",
        "color": "^4.2.3",
        "dayjs": "^1.11.13",
        "easymde": "^2.20.0",
        "flowbite": "^2.5.2",
        "flowbite-svelte": "^0.47.4",
        "flowbite-svelte-icons": "^2.2.0",
        "js-yaml": "^4.1.0",
        "qs": "^6.14.0",
        "sharp": "^0.33.5",
        "svelte-awesome": "^3.3.5",
        "svelte-spa-router": "^4.0.1"
    },
    "pnpm": {
        "onlyBuiltDependencies": [
            "@parcel/watcher",
            "esbuild",
            "sharp"
        ]
    }
}
